##### 7.5.14.0. DsingularLocus

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  DsingularLocus(I); I ideal

Assume:
  The basering is the n-th Weyl algebra over a field of characteristic 0 and for all 1<=i<=n the identity
  var(i+n)*var(i)=var(i)*var(i+1)+1 holds, i.e. the sequence of variables is given by x(1),...,x(n),D(1),...,D(n), where D(i) is the differential operator belonging to x(i).

Return:
  ideal, describing the singular locus of the D-module D/I

Note:
  If printlevel>=1, progress debug messages will be printed, if printlevel>=2, all the debug messages will be printed

Example:

    LIB "dmodloc.lib";
    // (OTW), Example 8
    ring @D3 = 0,(x,y,z,Dx,Dy,Dz),dp;
    def D3 = Weyl();
    setring D3;
    poly f = x^3-y^2*z^2;
    ideal I = f^2*Dx + 3*x^2, f^2*Dy-2*y*z^2, f^2*Dz-2*y^2*z;
    // I annihilates exp(1/f)
    DsingularLocus(I);
    ==> _[1]=y^2*z^2-x^3

User manual for Singular version 4.4.1, 2025, generated by texi2html.